#include<iostream>
#include<vector>
#include<algorithm>

using namespace std;

bool sortiranje_po_drugom_elementu(const pair<int, int>& a, const pair<int, int>& b)
{
	return (a.second < b.second);
}

int main()
{
	int n;
	vector<pair<long, double> > paroviUnosa;

	cin >> n;

	for (int i = 0; i < n; i++) {

		long a;
		double b;

		cin >> a >> b;

		paroviUnosa.push_back(make_pair(a, b));
	}

	sort(paroviUnosa.begin(), paroviUnosa.end(), sortiranje_po_drugom_elementu);

	double moguceZarade;
	double max = 0;

	for (int i = 0;i < n;i++) {
		int j = i;
		long suma = 0;

		while (j < n) {
			suma += paroviUnosa[j].first;
			j++;
		}
		moguceZarade = suma * paroviUnosa[i].second / 100;
		if (moguceZarade > max)
			max = moguceZarade;
	}

	cout << fixed;
	cout.precision(4);

	cout << max;

	return 0;
}